Bug 61134

Summary: Unexpected [ ] in public text on default error pages
Product: Tomcat 8 Reporter: Konstantin Kolinko <knst.kolinko>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: regression Keywords: Beginner
Priority: P2    
Version: 8.5.15   
Target Milestone: ----   
Hardware: PC   
OS: All   

Description Konstantin Kolinko 2017-05-30 09:46:49 UTC
Text patterns used by default error pages now have '[' ']' symbols around substituted text fragments.

This feature is useful for lines printed to log files, but for error pages displayed to human users this is a bit unfriendly.

With current Tomcat 8.5.x
1. Start Tomcat
2. Go to a non-existing page, e.g. http://localhost:8080/404

3. ACTUAL: The page title is
HTTP Status [404] – [Not Found]

EXPECTED:
HTTP Status 404 – Not Found
Comment 1 Konstantin Kolinko 2017-05-30 09:49:25 UTC
Sample output: attachment 35000 [details] (in bug 61111)
Comment 2 Michael Osipov 2017-05-30 11:41:03 UTC
That's indeed weird. This has been introduced in r1792132 for 8.5.x.
Comment 3 Christopher Schultz 2017-05-30 18:56:34 UTC
I thought this was intentional. Mark added [...] around all dynamic elements to make it clear without using e.g. quotes, etc.
Comment 4 Mark Thomas 2017-05-31 12:22:07 UTC
It was intentional but I can see that it might look awkward in this particular instance. I don't mind it but I'm not going to object of the change is reverted for this one case. I would ask that a comment is added to the property file to document the exception.
Comment 5 Violeta Georgieva 2017-06-09 16:03:28 UTC
Hi,

I applied a patch provided by Katya Todorova via GitHub PR#61.
Fixed in:
- trunk for 9.0.0.M22 onwards
- 8.5.x for 8.5.16 onwards

Regards,
Violeta